package com.atlassian.bitbucket.mesh.config;

import com.atlassian.bitbucket.mesh.annotation.ManagedByControlPlane;

import javax.annotation.Nonnull;
import java.time.Duration;

/**
 * The Storage config for the Mesh node.
 */
public interface StorageConfig {

    @ManagedByControlPlane
    @Nonnull
    int getCleanupThreads();

    @ManagedByControlPlane
    @Nonnull
    Duration getPartitionCleanupDelay();

    @ManagedByControlPlane
    @Nonnull
    Duration getTempExpiry();
}
